# ApplicationFramework
TKBinL
BinLDrivers

# BinLDrivers_DocumentRetrievalDriver Class Reference

`#include <BinLDrivers_DocumentRetrievalDriver.hxx>`

Inheritance diagram for BinLDrivers_DocumentRetrievalDriver:

[legend]

## Public Member Functions

Standard_EXPORT | BinLDrivers_DocumentRetrievalDriver ()
| Constructor .
virtual Standard_EXPORT TCollection_ExtendedString | SchemaName () const
| pure virtual method definition
virtual Standard_EXPORT void | Make (const Handle(PCDM_Document)&PD, const Handle(CDM_Document)&TD)
| pure virtual method definition
virtual Standard_EXPORT Handle_CDM_Document | CreateDocument ()
| pure virtual method definition
virtual Standard_EXPORT void | Read (const TCollection_ExtendedString &theFileName, const Handle(CDM_Document)&theNewDocument, const Handle(CDM_Application)&theApplication)
| retrieves the content of the file into a new Document.
virtual Standard_EXPORT Handle_BinMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Standard_Integer | ReadSubTree (Standard_IStream &theIS, const TDF_Label &theData)
| Read the tree from the stream <theis> to <thelabel> .
Standard_EXPORT Storage_Position | ReadInfoSection (const TCollection_AsciiString &theFile, Handle(Storage_HeaderData)&theData)
| Read the info section of theFile into theData, return a file position corresponding to the info section end .
virtual Standard_EXPORT void | ReadSection (BinLDrivers_DocumentSection &theSection, const Handle(CDM_Document)&theDoc, Standard_IStream &theIS)
| define the procedure of reading a section to file.
Standard_EXPORT void | ReadShapeSection (BinLDrivers_DocumentSection &theSection, Standard_IStream &theIS)
Standard_EXPORT void | WriteMessage (const TCollection_ExtendedString &theMessage)
| write theMessage to the MessageDriver of the Application

## Protected Attributes

BinObjMgt_RRelocationTable | myRelocTable

## Private Attributes

BinObjMgt_Persistent | myPAtt
Handle_BinMDF_ADriverTable | myDrivers
Handle_CDM_MessageDriver | myMsgDriver
TColStd_MapOfInteger | myMapUnsupported
BinLDrivers_VectorOfDocumentSection | mySections

## Constructor & Destructor Documentation

Standard_EXPORT BinLDrivers_DocumentRetrievalDriver::BinLDrivers_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_BinMDF_ADriverTable BinLDrivers_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) | `[virtual]`

| Reimplemented in BinDrivers_DocumentRetrievalDriver.

virtual Standard_EXPORT Handle_CDM_Document BinLDrivers_DocumentRetrievalDriver::CreateDocument | ( |  | ) | `[virtual]`

| Implements PCDM_Reader.

Standard_EXPORT const BinLDrivers_DocumentRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PCDM_RetrievalDriver. Reimplemented in BinDrivers_DocumentRetrievalDriver.

virtual Standard_EXPORT void BinLDrivers_DocumentRetrievalDriver::Make | ( | const Handle(PCDM_Document)& | PD,
|  | const Handle(CDM_Document)& | TD
| ) | `[virtual]`

| Implements PCDM_RetrievalDriver.

virtual Standard_EXPORT void BinLDrivers_DocumentRetrievalDriver::Read | ( | const TCollection_ExtendedString & | theFileName,
|  | const Handle(CDM_Document)& | theNewDocument,
|  | const Handle(CDM_Application)& | theApplication
| ) | `[virtual]`

| Reimplemented from PCDM_RetrievalDriver.

Standard_EXPORT Storage_Position BinLDrivers_DocumentRetrievalDriver::ReadInfoSection | ( | const TCollection_AsciiString & | theFile,
|  | Handle(Storage_HeaderData)& | theData
| ) | `[protected]`

virtual Standard_EXPORT void BinLDrivers_DocumentRetrievalDriver::ReadSection | ( | BinLDrivers_DocumentSection & | theSection,
|  | const Handle(CDM_Document)& | theDoc,
|  | Standard_IStream & | theIS
| ) | `[protected, virtual]`

Standard_EXPORT void BinLDrivers_DocumentRetrievalDriver::ReadShapeSection | ( | BinLDrivers_DocumentSection & | theSection,
|  | Standard_IStream & | theIS
| ) | `[protected]`

virtual Standard_EXPORT Standard_Integer BinLDrivers_DocumentRetrievalDriver::ReadSubTree | ( | Standard_IStream & | theIS,
|  | const TDF_Label & | theData
| ) | `[protected, virtual]`

virtual Standard_EXPORT TCollection_ExtendedString BinLDrivers_DocumentRetrievalDriver::SchemaName | ( |  | ) | const`[virtual]`

| Implements PCDM_RetrievalDriver.

Standard_EXPORT void BinLDrivers_DocumentRetrievalDriver::WriteMessage | ( | const TCollection_ExtendedString & | theMessage | ) | `[protected]`

## Field Documentation

Handle_BinMDF_ADriverTable BinLDrivers_DocumentRetrievalDriver::myDrivers `[private]`

TColStd_MapOfInteger BinLDrivers_DocumentRetrievalDriver::myMapUnsupported `[private]`

Handle_CDM_MessageDriver BinLDrivers_DocumentRetrievalDriver::myMsgDriver `[private]`

BinObjMgt_Persistent BinLDrivers_DocumentRetrievalDriver::myPAtt `[private]`

BinObjMgt_RRelocationTable BinLDrivers_DocumentRetrievalDriver::myRelocTable `[protected]`

BinLDrivers_VectorOfDocumentSection BinLDrivers_DocumentRetrievalDriver::mySections `[private]`

The documentation for this class was generated from the following file:

- BinLDrivers_DocumentRetrievalDriver.hxx